# Uses of Interface
com.opensymphony.module.sitemesh.html.TextFilter

Packages that use TextFilter
Package
Description
com.opensymphony.module.sitemesh.html
com.opensymphony.module.sitemesh.html.rules

## Uses of TextFilter in com.opensymphony.module.sitemesh.html

Methods in com.opensymphony.module.sitemesh.html with parameters of type TextFilter
Modifier and Type
Method
Description
`void`
HTMLProcessor.`addTextFilter(TextFilter textFilter)`
`void`
State.`addTextFilter(TextFilter textFilter)`

## Uses of TextFilter in com.opensymphony.module.sitemesh.html.rules

Classes in com.opensymphony.module.sitemesh.html.rules that implement TextFilter
Modifier and Type
Class
Description
`class`
`RegexReplacementTextFilter`
TextFilter that substitutes content using a JDK 1.4 regular expression.